package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag941;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT941Creator;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class Tag20Creator extends AbsTagCreate {

    private MT941Creator mt941Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt941Creator= (MT941Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value=mt941Creator.getTranReferenceNum();
        mt941Creator.set("20",tag20Value);
    }
}
